#include "descriptor/descriptor.h"

int main(void) {

  ITEM	blu,grey,black1,black2,black3,grey2,green,green2,red,white;
  ITEM	car,gomme,alettone1,alettone2,alettone3,alettone4,cerchioni,deflettori,sospensioni1,sospensioni2;
  ITEM             sedile,fondo,plane,dischi,specchietto,prese;
  ITEM	scene;

  set_background(0.376,0.340,0.853,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_point_light(0.0,0.45,10.0,1,1,1,3.5,25, "light3");

  /*** ATTRIBUTE blu ***/
  blu = create_attribute("blu");
  set_color(blu,0,0,1,0.5,0.5);
  set_reflectivity(blu,0.3,10);

 /*** ATTRIBUTE red ***/
  red = create_attribute("red");
  set_color(red,1.0,0,0,0.5,0.5);
  set_reflectivity(red,0.2,4);

/*** ATTRIBUTE white ***/
  white = create_attribute("white");
  set_color(white,0.85,0.85,0.85,0.4,0.4);
  set_reflectivity(white,0.2,4);

 /*** ATTRIBUTE grey ***/
  grey = create_attribute("grey");
  set_color(grey,0.2,0.2,0.2,0.4,0.4);
  set_reflectivity(grey,0.3,8);

 /*** ATTRIBUTE green ***/
  green = create_attribute("green");
  set_color(green,0.0,0.76,0.1,0.1,0.8);
  set_reflectivity(green,0.2,5);

  /*** ATTRIBUTE green2 ***/
  green2 = create_attribute("green2");
  set_color(green2,0.0,0.76,0.4,0.1,0.8);
  set_reflectivity(green2,0.2,10);

/*** ATTRIBUTE grey2 ***/
  grey2 = create_attribute("grey2");
  set_color(grey2,0.30,0.30,0.30,0.5,0.8);
  set_reflectivity(grey2,0.3,10);

/*** ATTRIBUTE black1 ***/
  black1 = create_attribute("blackone");
  set_color(black1,0.05,0.05,0.05,0.5,0.5);
  set_reflectivity(black1,0.2,5);

/*** ATTRIBUTE black2 ***/
  black2 = create_attribute("black2");
  set_color(black2,0.1,0.1,0.1,0.0,0.0);
  set_reflectivity(black2,0.02,1.0);
  

/*** ATTRIBUTE black3 ***/
  black3 = create_attribute("black3");
  set_color(black3,0.2,0.2,0.2,0.0,0.0);
  set_reflectivity(black3,0.1,1);
  


car = read_obj("f1car.obj", "car");
set_attribute(car,red);

prese = read_obj("prese.obj", "prese");
set_attribute(prese,black3);

specchietto = read_obj("specchietto.obj", "specchietto");
set_attribute(specchietto,red);
 

plane = read_nurbs("plane.db");
  set_attribute(plane,grey);

gomme = read_obj("tyres.obj", "gomme");
set_attribute(gomme,black2);

deflettori = read_obj("deflettori.obj", "deflettori");
set_attribute(deflettori,white);

cerchioni = read_obj("circles.obj", "cerchioni");
set_attribute(cerchioni,grey2);

dischi = read_obj("dischi.obj", "dischi");
set_attribute(dischi,black1);

alettone1 = read_obj("alettoneant1.obj", "alettone1");
set_attribute(alettone1,white);
  
alettone2 = read_obj("alettoneant2.obj", "alettone2");
set_attribute(alettone2,red);

alettone3 = read_obj("alettonepost1.obj", "alettone3");
set_attribute(alettone3,white);
  
alettone4 = read_obj("alettonepost2.obj", "alettone4");
set_attribute(alettone4,red);

sospensioni1 = read_obj("suspension-ant.obj", "sosp1");
set_attribute(sospensioni1,black1);

sospensioni2 = read_obj("suspension-post.obj", "sosp2");
set_attribute(sospensioni2,black1);


fondo = read_obj("fondopiatto.obj", "fondo");
set_attribute(fondo,black2);

  scene = create_list(car, "scene");
 scene = insert_in_list(scene,prese);
scene = insert_in_list(scene,gomme);
  scene = insert_in_list(scene,cerchioni);
  scene = insert_in_list(scene,alettone1);
scene = insert_in_list(scene,alettone2);

  scene = insert_in_list(scene,alettone3);
scene = insert_in_list(scene,alettone4);
scene = insert_in_list(scene,sospensioni1);
  scene = insert_in_list(scene,sospensioni2);
scene = insert_in_list(scene,deflettori);
scene = insert_in_list(scene,dischi);
scene = insert_in_list(scene,specchietto);
scene = insert_in_list(scene,plane);
scene = insert_in_list(scene,fondo);


  save_scene("car.md","scene_car",scene);

  return(0);
}
